Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Interface EventHandlerBase<E,P extends Comparable<P>,C>

Show UML class diagram

Type Parameters:
  `E` - Event type.
  `P` - Priority type.

All Known Subinterfaces:
  EventHandler<E,P,C,H,S>, EventHandlerWrapper<E,P,C,K,H,S>, JoinEventHandler<E,P,C,K,H,S>

All Known Implementing Classes:
  AbstractEventHandler, EventHandlerFilter, EventHandlerWrapperFilter, LocalAbstractEventHandler, MappingEventHandler, PredicateChainingMatcher.JoinInputEventHandler, ReflectiveEventHandler

    public interface EventHandlerBase<E,P extends Comparable<P>,C>

Event handler base.

Nested Class Summary
`static class` | `EventHandlerBase.Mode` Event handler mode.

Method Summary
`boolean` | `consumes()`
`int` | `getCardinality()`
`C` | `getContext()`
`EventHandlerBase.Mode` | `getMode()` Handler mode.
`` | `getPredicate()`
`P` | `getPriority()`
`boolean` | `isOneOff()` If this method returns true, then handler is invoked only once and then is removed from the bus.
`void` | `reset()` Resets handler internal state, if any.

Method Detail

### consumes

    boolean consumes()

  Returns:
    true if this handler consumes or updates events.

### getPriority

    P getPriority()

  Returns:
    priority Handler priority. Handlers with higher priority are guaranteed to be executed before handlers with lower priority and as such can consume events and prevent their dispatching to other handlers.

### getCardinality

    int getCardinality()

  Returns:
    Number of parameters expected by this handler.

### reset

    void reset()

  Resets handler internal state, if any.

### getContext

    C getContext()

  Returns:
    Context for predicates.

### isOneOff

    boolean isOneOff()

  If this method returns true, then handler is invoked only once and then is removed from the bus.

  Returns:

### getMode

    EventHandlerBase.Mode getMode()

  Handler mode.

  Returns:

### getPredicate

     getPredicate()

  Returns:
    Handler predicates.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD